<?php
session_start();
require_once '../config/database.php';

if (!isset($_SESSION['admin_id'])) {
    die('Acceso no autorizado');
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['imagen_portada'])) {
    $curso_id = $_POST['curso_id'];
    $directorio = '../uploads/portadas/';
    
    if (!file_exists($directorio)) {
        mkdir($directorio, 0777, true);
    }

    $nombreArchivo = uniqid('portada_') . '.' . pathinfo($_FILES['imagen_portada']['name'], PATHINFO_EXTENSION);
    $rutaCompleta = $directorio . $nombreArchivo;

    if (move_uploaded_file($_FILES['imagen_portada']['tmp_name'], $rutaCompleta)) {
        // Actualizar la base de datos
        $query = "UPDATE cursos SET imagen_portada = ? WHERE id = ?";
        $stmt = $pdo->prepare($query);
        $stmt->execute([$nombreArchivo, $curso_id]);
        
        echo json_encode(['success' => true, 'imagen' => $nombreArchivo]);
    } else {
        echo json_encode(['success' => false, 'error' => 'Error al subir la imagen']);
    }
    exit;
}