<?php
require_once '../config/database.php';

$id = filter_input(INPUT_GET, 'id', FILTER_VALIDATE_INT);
if (!$id) die('ID inválido');

$stmt = $pdo->prepare("SELECT archivo_img_fotografia FROM participantes WHERE id = ?");
$stmt->execute([$id]);
$ruta = $stmt->fetchColumn();

if ($ruta && file_exists("../$ruta")) {
    $mime = mime_content_type("../$ruta");
    header("Content-Type: $mime");
    readfile("../$ruta");
} else {
    header('Content-Type: image/svg+xml');
    echo '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" fill="#6c757d">
        <circle cx="50" cy="40" r="20"/>
        <path d="M50 65c10 0 20 10 20 20H30c0-10 10-20 20-20z"/>
    </svg>';
}